WebLogicConnector (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicConnector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicConnector

All Superinterfaces:
  J2EEComponent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebLogicConnector

extends J2EEComponent

Represents a WebLogic JCA Connector.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getConnectionFactoryImplClass()`
`java.lang.String` | `getConnectionFactoryInterface()`
`java.lang.String` | `getConnectionImplClass()`
`java.lang.String` | `getConnectionInterface()`
`java.lang.String` | `getConnectorDisplayName()`
`java.lang.String` | `getConnectorVersion()`
`java.lang.String` | `getEisType()`
`java.lang.String` | `getLargeIcon()`
`java.lang.String` | `getLicenseDescription()`
`boolean` | `getLicenseRequired()`
`java.lang.String` | `getManagerConnectionFactoryClass()`
`boolean` | `getReauthenticationSupport()`
`java.lang.String` | `getSmallIcon()`
`java.lang.String` | `getSpecVersion()`
`java.lang.String` | `getTransactionSupport()`
`java.lang.String` | `getVendorName()`
`boolean` | `hasConnectionFactoryImplClass()`
`boolean` | `hasConnectionFactoryInterface()`
`boolean` | `hasConnectionImplClass()`
`boolean` | `hasConnectionInterface()`
`boolean` | `hasConnectorDisplayName()`
`boolean` | `hasConnectorVersion()`
`boolean` | `hasEisType()`
`boolean` | `hasLargeIcon()`
`boolean` | `hasLicenseDescription()`
`boolean` | `hasLicenseRequired()`
`boolean` | `hasManagerConnectionFactoryClass()`
`boolean` | `hasReauthenticationSupport()`
`boolean` | `hasSmallIcon()`
`boolean` | `hasSpecVersion()`
`boolean` | `hasTransactionSupport()`
`boolean` | `hasVendorName()`
`void` | `setConnectionFactoryImplClass(java.lang.String s)`
`void` | `setConnectionFactoryInterface(java.lang.String s)`
`void` | `setConnectionImplClass(java.lang.String s)`
`void` | `setConnectionInterface(java.lang.String s)`
`void` | `setConnectorDisplayName(java.lang.String s)`
`void` | `setConnectorVersion(java.lang.String s)`
`void` | `setEisType(java.lang.String s)`
`void` | `setLargeIcon(java.lang.String s)`
`void` | `setLicenseDescription(java.lang.String s)`
`void` | `setLicenseRequired(boolean b)`
`void` | `setManagerConnectionFactoryClass(java.lang.String s)`
`void` | `setReauthenticationSupport(boolean b)`
`void` | `setSmallIcon(java.lang.String s)`
`void` | `setSpecVersion(java.lang.String s)`
`void` | `setTransactionSupport(java.lang.String s)`
`void` | `setVendorName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEComponent
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getConnectorDisplayName

    java.lang.String getConnectorDisplayName()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectorDisplayName

    void setConnectorDisplayName(java.lang.String s)

### hasConnectorDisplayName

    boolean hasConnectorDisplayName()

### getEisType

    java.lang.String getEisType()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEisType

    void setEisType(java.lang.String s)

### hasEisType

    boolean hasEisType()

### getSpecVersion

    java.lang.String getSpecVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpecVersion

    void setSpecVersion(java.lang.String s)

### hasSpecVersion

    boolean hasSpecVersion()

### getVendorName

    java.lang.String getVendorName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVendorName

    void setVendorName(java.lang.String s)

### hasVendorName

    boolean hasVendorName()

### getConnectorVersion

    java.lang.String getConnectorVersion()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectorVersion

    void setConnectorVersion(java.lang.String s)

### hasConnectorVersion

    boolean hasConnectorVersion()

### getLargeIcon

    java.lang.String getLargeIcon()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLargeIcon

    void setLargeIcon(java.lang.String s)

### hasLargeIcon

    boolean hasLargeIcon()

### getSmallIcon

    java.lang.String getSmallIcon()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSmallIcon

    void setSmallIcon(java.lang.String s)

### hasSmallIcon

    boolean hasSmallIcon()

### getLicenseDescription

    java.lang.String getLicenseDescription()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLicenseDescription

    void setLicenseDescription(java.lang.String s)

### hasLicenseDescription

    boolean hasLicenseDescription()

### getConnectionImplClass

    java.lang.String getConnectionImplClass()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionImplClass

    void setConnectionImplClass(java.lang.String s)

### hasConnectionImplClass

    boolean hasConnectionImplClass()

### getConnectionInterface

    java.lang.String getConnectionInterface()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionInterface

    void setConnectionInterface(java.lang.String s)

### hasConnectionInterface

    boolean hasConnectionInterface()

### getConnectionFactoryImplClass

    java.lang.String getConnectionFactoryImplClass()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionFactoryImplClass

    void setConnectionFactoryImplClass(java.lang.String s)

### hasConnectionFactoryImplClass

    boolean hasConnectionFactoryImplClass()

### getConnectionFactoryInterface

    java.lang.String getConnectionFactoryInterface()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionFactoryInterface

    void setConnectionFactoryInterface(java.lang.String s)

### hasConnectionFactoryInterface

    boolean hasConnectionFactoryInterface()

### getManagerConnectionFactoryClass

    java.lang.String getManagerConnectionFactoryClass()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManagerConnectionFactoryClass

    void setManagerConnectionFactoryClass(java.lang.String s)

### hasManagerConnectionFactoryClass

    boolean hasManagerConnectionFactoryClass()

### getTransactionSupport

    java.lang.String getTransactionSupport()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionSupport

    void setTransactionSupport(java.lang.String s)

### hasTransactionSupport

    boolean hasTransactionSupport()

### getLicenseRequired

    boolean getLicenseRequired()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLicenseRequired

    void setLicenseRequired(boolean b)

### hasLicenseRequired

    boolean hasLicenseRequired()

### getReauthenticationSupport

    boolean getReauthenticationSupport()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReauthenticationSupport

    void setReauthenticationSupport(boolean b)

### hasReauthenticationSupport

    boolean hasReauthenticationSupport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD